curl --request GET 'https://api.voicecheap.ai/.well-known/openid-configuration'
const input = {};
const response = await fetch('https://api.voicecheap.ai/.well-known/openid-configuration', {
method: 'GET',
headers: {},
redirect: 'manual',
});
console.log(response.status, await response.text());
import os
import requests
response = requests.request(
"GET",
"https://api.voicecheap.ai/.well-known/openid-configuration",
headers={},
timeout=120,
allow_redirects=False,
)
print(response.status_code, response.text)
OAuth 및 MCP 프로토콜
OpenID Connect 검색 메타데이터 가져오기
이 환경의 신원 엔드포인트, 지원 범위, 클레임, ID 토큰 서명 알고리즘을 확인합니다.
GET
/
.well-known
/
openid-configuration
curl --request GET 'https://api.voicecheap.ai/.well-known/openid-configuration'
const input = {};
const response = await fetch('https://api.voicecheap.ai/.well-known/openid-configuration', {
method: 'GET',
headers: {},
redirect: 'manual',
});
console.log(response.status, await response.text());
import os
import requests
response = requests.request(
"GET",
"https://api.voicecheap.ai/.well-known/openid-configuration",
headers={},
timeout=120,
allow_redirects=False,
)
print(response.status_code, response.text)
이 환경의 신원 엔드포인트, 지원 범위, 클레임, ID 토큰 서명 알고리즘을 확인합니다.
GET https://api.voicecheap.ai/.well-known/openid-configuration
인증
없습니다.요청 예제
이 경로에 명시된 인코딩 및 인증 방식을 따르세요. 액션 API의 응답 구조와 멱등성 규칙은 액션 호출에만 적용됩니다.curl --request GET 'https://api.voicecheap.ai/.well-known/openid-configuration'
const input = {};
const response = await fetch('https://api.voicecheap.ai/.well-known/openid-configuration', {
method: 'GET',
headers: {},
redirect: 'manual',
});
console.log(response.status, await response.text());
import os
import requests
response = requests.request(
"GET",
"https://api.voicecheap.ai/.well-known/openid-configuration",
headers={},
timeout=120,
allow_redirects=False,
)
print(response.status_code, response.text)
응답
이 환경의 신원 엔드포인트, 지원 범위, 클레임, ID 토큰 서명 알고리즘을 확인합니다.HTTP 200
{
"issuer": "https://api.voicecheap.ai",
"authorization_endpoint": "https://api.voicecheap.ai/oauth/authorize",
"token_endpoint": "https://api.voicecheap.ai/oauth/token",
"registration_endpoint": "https://api.voicecheap.ai/oauth/register",
"revocation_endpoint": "https://api.voicecheap.ai/oauth/revoke",
"userinfo_endpoint": "https://api.voicecheap.ai/oauth/userinfo",
"jwks_uri": "https://api.voicecheap.ai/oauth/jwks",
"response_types_supported": ["code"],
"response_modes_supported": ["query"],
"grant_types_supported": ["authorization_code", "refresh_token"],
"subject_types_supported": ["public"],
"id_token_signing_alg_values_supported": ["RS256"],
"token_endpoint_auth_methods_supported": ["none"],
"code_challenge_methods_supported": ["S256"],
"scopes_supported": [
"account:read",
"usage:read",
"settings:read",
"settings:write",
"team:read",
"team:write",
"projects:read",
"projects:write",
"projects:delete",
"translations:write",
"transcription:read",
"transcription:write",
"subtitles:read",
"subtitles:write",
"tts:read",
"tts:write",
"voices:read",
"voices:write",
"images:read",
"images:write",
"thumbnails:read",
"thumbnails:write",
"folders:read",
"folders:write",
"glossary:read",
"glossary:write",
"webhooks:read",
"webhooks:write",
"publishing:read",
"publishing:write",
"openid",
"email",
"offline_access"
],
"claims_supported": ["sub", "iss", "aud", "iat", "exp", "nonce", "email", "email_verified"],
"authorization_response_iss_parameter_supported": true,
"client_id_metadata_document_supported": true
}
응답 헤더
{
"Cache-Control": "no-store"
}
작업 참고 사항
- 이 환경에서 신원 연동을 사용할 수 없으면 OpenID Connect 엔드포인트가 HTTP 404를 반환합니다. 신원 기능을 사용하기 전에 검색 메타데이터를 확인하세요.
- openid와 email은 제품 권한과 별개인 신원 권한이며, 지원이 명시된 경우에만 허용됩니다. email에는 openid가 필요합니다. 최초 권한 부여 시 신원 범위만 요청하면 동의 화면에 표시되는 기본 제품 권한이 사용됩니다.
오류
| HTTP 상태 | 코드 | 의미 또는 복구 방법 |
|---|---|---|
| 404 | Not Found | 이 환경에서 신원 연동을 사용할 수 없으면 OpenID Connect 엔드포인트가 HTTP 404를 반환합니다. 신원 기능을 사용하기 전에 검색 메타데이터를 확인하세요. |
이 페이지가 도움이 되었나요?

